Index: jobvista-frontend/src/views/static/AboutUs.css
===================================================================
--- jobvista-frontend/src/views/static/AboutUs.css	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ 	(revision )
@@ -1,47 +1,0 @@
-.about-wrap {
-    margin-top: 30px;
-}
-
-.floating-wrap h3 {
-    font-family: Segoe UI;
-    text-align: center;
-}
-.floating-wrap h4 {
-    text-align: center;
-}
-
-.floating-wrap h2 {
-    font-family: Cairo;
-    font-weight: bold;
-}
-.floating-wrap p {
-    font-family: Ubuntu
-}
-.floating-wrap {
-    background-color:white;
-    padding: 15px 20px;
-    border-radius: 15px;
-    margin-bottom: 20px;
-}
-
-.floating-inside-wrap {
-    background-color: rgb(243, 242, 241);
-    padding: 15px 20px;
-    border-radius: 15px;
-    margin: 10px;
-}
-
-.about-us-img {
-    margin-bottom: 20px;
-    border-radius: 15px;
-    width: 100%;
-    padding: 0;
-}
-
-.start-title {
-    font-weight: bold;
-    font-size: 20px;
-    font-family: Segoe UI;
-    text-transform: uppercase;
-
-}
Index: jobvista-frontend/src/views/static/AboutUs.js
===================================================================
--- jobvista-frontend/src/views/static/AboutUs.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ 	(revision )
@@ -1,92 +1,0 @@
-import "./AboutUs.css"
-export const AboutUs = () => {
-
-    return (
-        <div className="container">
-            <div className="about-wrap">
-                <div className="row">
-                    <div className="col-md-6">
-                        <div className="floating-wrap">
-                            <h4>Your Future, Our Mission</h4>
-                            <p>
-                                At Job Vista, we believe that finding the right job should be simple, efficient, and rewarding. Our mission is to connect talented individuals with their dream careers while helping companies discover the best candidates to join their teams.
-                            </p>
-
-
-                        </div>
-                        <div className="floating-wrap">
-                             <h4>How It Started</h4>
-                            <p>
-                                Founded in 2024, Job Vista was born out of a passion for transforming the job search experience. The idea for Job Vista originated as a university project, where a group of us noticed that the job market was becoming increasingly complex, with both job seekers and employers facing numerous challenges in finding the perfect match. Inspired by the potential to make a real difference, we decided to turn our project into a full-fledged platform. Our goal was to create an app that simplifies this process, making it easier for everyone involved.
-                            </p>
-
-                            <h4>What We Offer</h4>
-
-                            <p><span className="start-title">Job Seekers </span>
-                                can browse through thousands of job opportunities from various industries, all in one place. Enjoy an easy application process where you can apply for jobs with just a few clicks and track your applications seamlessly. Receive personalized job alerts about openings that match your skills and interests. Additionally, access a wealth of career resources, including articles, tips, and tools to help you prepare for interviews, improve your resume, and advance your career.</p>
-                            <p>
-                                <span className="start-title">Recruiters </span>
-                                can post job openings and manage applications with our user-friendly interface, ensuring efficient recruitment. Find the best talent using our advanced search and filtering tools to discover candidates that fit your requirements. Enhance your brand visibility by showcasing your company and attracting top talent with a detailed company profile.
-                            </p>
-
-                            {/*<h4>*/}
-                            {/*    Our Vision*/}
-                            {/*</h4>*/}
-                            {/*<p>*/}
-                            {/*    We envision a world where job seekers and employers can effortlessly connect, leading to fulfilling careers and successful businesses. By leveraging technology and innovation, Job Vista aims to be the go-to platform for job hunting and recruitment.*/}
-                            {/*</p>*/}
-                        </div>
-                    </div>
-                    <div className="col-md-6">
-
-
-                        <div className="row">
-                            <img className="about-us-img" src="/images/about-us.jpg" alt=""/>
-                        </div>
-                        <div className="row">
-                            <div className="floating-wrap">
-                                {/*<h4>*/}
-                                {/*    Join Us*/}
-                                {/*</h4>*/}
-
-                                {/*<p>*/}
-                                {/*    Whether you're looking for your next job opportunity or searching for the perfect candidate, Job Vista is here to support you every step of the way. Join our community today and take the next step towards a brighter future.*/}
-                                {/*</p>*/}
-                                <div className="row">
-                                    <div className="col-md-6">
-                                        <div className="floating-inside-wrap">
-                                            <h2>120</h2>
-                                            <p>Total Recruiters</p>
-                                        </div>
-                                    </div>
-                                    <div className="col-md-6">
-                                        <div className="floating-inside-wrap">
-                                            <h2>2400+</h2>
-                                            <p>Total Job Seekers</p>
-                                        </div>
-                                    </div>
-                                </div>
-                                <div className="row">
-                                    <div className="col-md-6">
-                                        <div className="floating-inside-wrap">
-                                            <h2>240</h2>
-                                            <p>Total Job Listings</p>
-                                        </div>
-                                    </div>
-                                    <div className="col-md-6">
-                                        <div className="floating-inside-wrap">
-                                            <h2>4000+</h2>
-                                            <p>Total Applications</p>
-                                        </div>
-                                    </div>
-                                </div>
-                            </div>
-                        </div>
-                    </div>
-
-                </div>
-            </div>
-
-        </div>
-    )
-}
Index: jobvista-frontend/src/views/static/ErrorPage.js
===================================================================
--- jobvista-frontend/src/views/static/ErrorPage.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ 	(revision )
@@ -1,17 +1,0 @@
-import "./NoAccess.css"
-export const ErrorPage = () => {
-    return (
-        <div className="d-flex align-items-center justify-content-center vh-100 landing-page">
-            <div className="text-center">
-                <h1 className="display-1 fw-bold">404</h1>
-                <p className="fs-3"><span className="text-danger">Opps!</span> Page not found.</p>
-                <p className="lead">
-                    The page you’re looking for is not available or doesn’t exist.
-                </p>
-                {/*{user && <Link to="/dashboard" className="go-back-btn">Go back</Link>}*/}
-                {/*{!user && <Link to="/" className="go-back-btn">Go back</Link>}*/}
-
-            </div>
-        </div>
-    )
-}
Index: jobvista-frontend/src/views/static/Header.css
===================================================================
--- jobvista-frontend/src/views/static/Header.css	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ jobvista-frontend/src/views/static/Header.css	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -6,5 +6,4 @@
     background-size: contain;
     margin-right: 0;
-
 }
 
@@ -19,14 +18,10 @@
 
 .navbar {
-    width: 100%;
     height: 80px;
-    background-color: #f8f9fa;
-    font-family: Poppins, sans-serif;
-    position: fixed;
-    z-index: 10;
-    box-sizing: border-box;
+    background-color: #535C91;
 }
 
 .navbar .nav-item {
+
     color: rgba(1,38,90,0.9);
     margin-right: 15px;
@@ -35,4 +30,5 @@
     font-size: 20px;
     font-weight: 600;
+    //font-family: 'Ubuntu', sans-serif;
     font-family: Poppins, sans-serif;
 }
@@ -40,4 +36,5 @@
     color: white;
     background-color: rgba(1,38,90,0.9);
+    /*border-bottom: 3px solid rgba(1,38,90,0.9);*/
 }
 .active {
@@ -46,157 +43,29 @@
 }
 
-/*NOVO*/
-
-:root {
-    --gray: #555;
-    --purple: #4e65ff;
-    --green-blue: #92effd;
-    --white: #fff;
-}
-
-.navigation {
-    position: fixed;
-    top: 10px;
-    right: 20px;
-    width: 120px;
-    height: 60px;
-    display: flex;
-    justify-content: space-between;
-    border-radius: 5px;
-    background: var(--white);
-    box-shadow: 0 25px 35px rgba(0, 0, 0, 0.3);
-    /*box-shadow: 0px 0px 18px 4px rgba(0,0,0,0.46);*/
-    overflow: hidden;
-    transition: height 0.5s, width 0.5s;
-    transition-delay: 0s, 0.3s;
-    z-index: 15;
-    /*border: 2px solid var(--gray);*/
-}
-
-.navigation .user-box {
-    position: relative;
-    width: 60px;
-    height: 60px;
-    display: flex;
-    align-items: center;
-    overflow: hidden;
-    transition: 0.3s;
-    transition-delay: 0.3s;
-}
-
-.navigation .user-box .username {
-    font-size: 1.2rem;
-     font-weight: bold;
-    white-space: nowrap;
-    margin: 0;
-    color: black;
-    padding-top: 10px;
+.user {
 
 }
 
-.navigation .user-box .role {
-    color: darkgray;
-    margin-bottom: 10px;
-    font-size: 1rem;
-}
-
-.navigation .user-box .image-box {
-    position: relative;
-    min-width: 60px;
-    height: 60px;
-    background: var(--white);
-    border-radius: 50%;
-    overflow: hidden;
-    border: 10px solid var(--white);
+.auth-box {
+    display: inline-block;
+    margin-right: 35px;
+    margin-left: 5px;
+    //height: 50px;
 
 }
 
-.navigation .user-box .image-box img {
-    position: absolute;
-    top: 0;
-    left: 0;
-    width: 100%;
-    height: 100%;
-    object-fit: cover;
-    /*border: 1px solid black*/
+.user {
+    color: black;
+    padding-top: 10px;
+    margin-bottom: 0;
+
 }
 
-.navigation .menu-toggle {
-    position: relative;
-    width: 60px;
-    height: 60px;
-    display: flex;
-    justify-content: center;
-    align-items: center;
-    cursor: pointer;
-}
+.role {
+    color: darkgray;
+    margin-bottom: 10px;
+    font-size: 15px;
 
-.navigation .menu-toggle::before {
-    content: "";
-    position: absolute;
-    width: 32px;
-    height: 2px;
-    background: var(--gray);
-    transform: translateY(-10px);
-    box-shadow: 0 10px var(--gray);
-    transition: 0.5s;
-}
-
-.navigation .menu-toggle::after {
-    content: "";
-    position: absolute;
-    width: 32px;
-    height: 2px;
-    background: var(--gray);
-    transform: translateY(10px);
-    transition: 0.5s;
-}
-
-.menu {
-    position: absolute;
-    width: 100%;
-    /*height: calc(100% - 60px);*/
-    margin-top: 60px;
-    padding: 0;
-    border-top: 1px solid rgba(0, 0, 0, 0.1);
-}
-
-.menu .menu-link {
-    text-decoration: none;
-    color: black;
-    display: flex;
-    align-items: center;
-    gap: 10px;
-    font-size: 1.1rem;
-    padding: 15px 30px;
-}
-.menu .menu-link:hover {
-    background-color: #EEEEEE;
 }
 
 
-.navigation.active .menu-toggle::before {
-    transform: translateY(0px) rotate(45deg);
-    box-shadow: none;
-}
-
-.navigation.active .menu-toggle::after {
-    transform: translateY(0px) rotate(-45deg);
-}
-
-.navigation.active {
-    width: 300px;
-    height: 175px;
-    transition: width 0.3s, height 0.3s;
-    transition-delay: 0s, 0.3s;
-}
-
-.navigation.active .user-box {
-    width: calc(100% - 60px);
-    transition-delay: 0s;
-}
-
-
-
-
-
Index: jobvista-frontend/src/views/static/Header.js
===================================================================
--- jobvista-frontend/src/views/static/Header.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ jobvista-frontend/src/views/static/Header.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -1,82 +1,27 @@
 import {Link, NavLink} from "react-router-dom";
 import "./Header.css"
-import {jwtDecode} from "jwt-decode";
 import {useDispatch, useSelector} from 'react-redux';
 import {useEffect, useState} from "react";
 import {AuthActions} from "../../redux/actions/authActions";
 import Roles from "../../enumerations/Roles";
-import {useNavigate} from "react-router";
-import {AUTH_TOKEN} from "../../axios/axiosInstance";
-import {JobSeekerActions} from "../../redux/actions/JobSeekerActions";
-import {RecruiterActions} from "../../redux/actions/recruiterActions";
 
-export const Header = (props) => {
+export const Header = () => {
 
     const auth = useSelector(state => state.auth.currentUser);
     const dispatch = useDispatch();
-    const navigator = useNavigate();
 
-    const [role, setRole] = useState("");
-    const [username, setUsername] = useState("");
-    const [user, setUser] = useState("");
-
-    const [profilePics, setProfilePics] = useState({});
-    let profilePicState = useSelector(state => state.images.profilePictures);
-    const [profilePicDispatched, setProfilePicDispatched] = useState(false);
-
-    const [logos, setLogos] = useState({});
-    let logoState = useSelector(state => state.images.logos);
-    const [logoDispatched, setLogoDispatched] = useState(false);
+    const [role, setRole] = useState(null);
+    const [username, setUsername] = useState(null);
 
     const signOut = () => {
         dispatch(AuthActions.signOut());
         window.location = "/";
-        //navigator("/")
     }
-    const [isActive, setIsActive] = useState(false);
-
-    const toggleMenu = () => {
-        setIsActive(!isActive);
-    };
 
     useEffect(() => {
-        const token = localStorage.getItem(AUTH_TOKEN);
-        if (token != null) {
-            try {
-                const decodedToken = jwtDecode(token);
-                setUser({
-                    name: decodedToken.name,
-                    role: decodedToken.role,
-                    hasAccess: decodedToken.hasAccess,
-                    id: decodedToken.id
-                });
-            } catch (error) {
-                console.error('Failed to decode token', error);
-            }
-        }
-    }, [auth]);
 
-    useEffect(() => {
         if (auth) {
             setRole(auth.role);
             setUsername(auth.name);
-
-            console.log("ROLE: " + auth.role)
-
-            if (auth.role === Roles.JOBSEEKER) {
-                dispatch(JobSeekerActions.downloadProfilePic(auth.id, (success, reponse) => {
-                    if (success) {
-                        setProfilePics(prevState => ({...prevState, [auth.id]: reponse}))
-                        console.log(reponse)
-                    }
-                }))
-            } else if (auth.role === Roles.RECRUITER) {
-                dispatch(RecruiterActions.downloadLogo(auth.id, (success, reponse) => {
-                    if (success) {
-                        setLogos(prevState => ({...prevState, [auth.id]: reponse}))
-                        console.log(reponse)
-                    }
-                }))
-            }
         }
     }, [auth]);
@@ -85,73 +30,43 @@
         <nav className="navbar navbar-expand-lg bg-light">
             <div className="container-fluid">
-                <Link to="/" className="logo"/>
-                <Link to="/" className="brand-name"/>
-                <div className="navbar-collapse">
+                <Link to="/" className="logo navbar-brand" />
+                <Link to="/" className="brand-name navbar-brand" />
+                <div className="collapse navbar-collapse" id="navbarSupportedContent">
                     <ul className="navbar-nav me-auto mb-2 mb-lg-0">
-                        <NavLink to="/" className="nav-item nav-link">Home</NavLink>
-                        {role == Roles.JOBSEEKER &&
+                        <NavLink to="/" className="nav-item nav-link" activeClassName="active">Home</NavLink>
+                        {role==Roles.JOBSEEKER &&
                             <>
-                                <NavLink to="/my-applications" className="nav-item nav-link">My Applications</NavLink>
+                                <NavLink to="/applications" className="nav-item nav-link" activeClassName="active">Applications</NavLink>
+                                <NavLink to="/favoritejobs" className="nav-item nav-link" activeClassName="active">Saved</NavLink>
+                            </>
+
+                        }
+                        {role==Roles.RECRUITER &&
+                            <>
+                                <NavLink to="/jobadvertisements" className="nav-item nav-link" activeClassName="active">Job Advertisements</NavLink>
+                                <NavLink to="/favoritejobs" className="nav-item nav-link" activeClassName="active">Saved</NavLink>
                             </>
                         }
-                        {role == Roles.RECRUITER &&
-                            <>
-                                <NavLink to="/job-management-hub" className="nav-item nav-link">Job Management Hub</NavLink>
-                            </>
-                        }
-                        {role === Roles.ADMIN &&
-                            <>
-                                <NavLink to="/admin-panel" className="nav-item nav-link">Admin Panel</NavLink>
-                            </>
-                        }
-                        <NavLink to="/about" className="nav-item nav-link">About Us</NavLink>
-                        {/*<NavLink to="/contact" className="nav-item nav-link">Support</NavLink>*/}
+                        <NavLink to="/about" className="nav-item nav-link">About</NavLink>
+                        <NavLink to="/contact" className="nav-item nav-link">Contact</NavLink>
                     </ul>
+
+                    {auth ?
+                        <>
+                            <img src="/images/user.png" width="45" height="45"/>
+                            <div className="auth-box">
+                                <p className="user"><b>{username}</b></p>
+                                <p className="role">{role==Roles.RECRUITER ? "Recruiter" : "Job Seeker"}</p>
+                            </div>
+
+
+                            <Link onClick={signOut} className="btn btn-outline-secondary">Log out</Link>
+                        </> :
+                        <>
+                            <Link to="/signin" className="btn btn-outline-secondary">Sign in</Link>
+                        </>
+                    }
+
                 </div>
-                {(auth.role === Roles.RECRUITER || auth.role === Roles.ADMIN || auth.role === Roles.JOBSEEKER) ?
-                    <>
-                        <div className={`navigation ${isActive ? 'active' : ''}`}>
-                            <div className="user-box">
-                                <div className="image-box">
-                                    {user.role === Roles.JOBSEEKER && <img src={profilePicState[auth.id]} /> }
-                                    {user.role === Roles.RECRUITER && <img src={logoState[auth.id]} /> }
-                                    {user.role === Roles.ADMIN && <img src="/images/admin.jpg"/> }
-                                    {/*<img src="https://lh3.googleusercontent.com/a/ACg8ocJOmmRzyRWcuhJj_sCzIoxMeP1M1DOgQ1UeYsFoeJuFB4XgOAnS=s96-c"/>*/}
-                                </div>
-                                <div className="auth-box">
-                                    <p className="username">{user.name}</p>
-                                    {user.role === Roles.RECRUITER && <p className="role">Recruiter</p>}
-                                    {user.role === Roles.JOBSEEKER && <p className="role">Job Seeker</p>}
-                                    {user.role === Roles.ADMIN && <p className="role">Admin</p>}
-                                </div>
-
-                            </div>
-                            <div className="menu-toggle" onClick={toggleMenu}></div>
-                            <ul className="menu">
-                                {user.role == Roles.JOBSEEKER &&
-                                    <>
-                                        <Link to="/job-seeker/edit-profile" onClick={toggleMenu} className="menu-link">
-                                            <i className="fa-solid fa-pen-to-square"></i> Edit profile
-                                        </Link>
-                                    </>
-                                }
-                                {user.role == Roles.RECRUITER &&
-                                    <>
-                                        <Link to="/recruiter/edit-profile" onClick={toggleMenu} className="menu-link">
-                                            <i className="fa-solid fa-pen-to-square"></i> Edit profile
-                                        </Link>
-                                    </>
-                                }
-
-                                <Link onClick={signOut} className="menu-link">
-                                    <i className="fa-solid fa-right-from-bracket"></i> Log out
-                                </Link>
-                            </ul>
-                        </div>
-                    </> :
-                    <>
-                        <Link to="/signin" className="btn auth-secondary-btn">Sign in</Link>
-                    </>
-                }
             </div>
         </nav>
Index: jobvista-frontend/src/views/static/Loading.css
===================================================================
--- jobvista-frontend/src/views/static/Loading.css	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ 	(revision )
@@ -1,34 +1,0 @@
-
-.loading-container {
-    display: flex;
-    height: 100vh;
-    justify-content: center;
-    align-items: center;
-    gap: 10px;
-    background-color: #f8f9fa;
-}
-
-.loading-logo {
-    width: 85px;
-    height: 85px;
-    display: inline-block;
-    background: url("../../../public/images/logo.png") no-repeat center center;
-    background-size: contain;
-
-}
-
-.loading-brand-name {
-    width: 275px;
-    height: 175px;
-    display: inline-block;
-    background: url("../../../public/images/brand-name-2.png") no-repeat center center;
-    background-size: contain;
-}
-
-.loading-signature {
-    width: 275px;
-    height: 175px;
-    display: inline-block;
-    background: url("../../../public/images/signature.png") no-repeat center center;
-    background-size: contain;
-}
Index: jobvista-frontend/src/views/static/Loading.js
===================================================================
--- jobvista-frontend/src/views/static/Loading.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ 	(revision )
@@ -1,12 +1,0 @@
-import "./Loading.css"
-
-export const Loading = () => {
-    return (
-        <div className="loading-container">
-            <div className="loading-logo"></div>
-            <div className="loading-brand-name"></div>
-
-            {/*<div className="loading-signature"></div>*/}
-        </div>
-    )
-}
Index: jobvista-frontend/src/views/static/NoAccess.css
===================================================================
--- jobvista-frontend/src/views/static/NoAccess.css	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ 	(revision )
@@ -1,38 +1,0 @@
-
-.landing-page {
-    background-color: #031c30;
-    background-image: url("https://www.gstatic.com/mobilesdk/190424_mobilesdk/nav_nachos@2x.png");
-    background-position: bottom 0;
-    background-size: 250vh 170vh;
-    background-repeat: no-repeat;
-    /*background-image: url("/public/wallet-images/proba3.jpg");*/
-    /*background-size: cover;*/
-    /*background-image: url("../../public/logo.png");*/
-    /*background-repeat: no-repeat;*/
-    /*background-position: center;*/
-    /*background-size: 25%;*/
-    width: 100%;
-    height: 100vh;
-    z-index: 9999;
-    position: fixed;
-}
-
-.text-center {
-    color: white;
-    transform: scale(1.5);
-}
-
-.go-back-btn {
-    text-decoration: none;
-    background-color: white;
-    border-radius: 12px;
-    padding: 5px 15px;
-    color: #C41E3A;
-    font-weight: bold;
-    border: none;
-    transition: 0.3s;
-}
-
-.go-back-btn:hover {
-    opacity: 0.6;
-}
Index: jobvista-frontend/src/views/static/NoAccess.js
===================================================================
--- jobvista-frontend/src/views/static/NoAccess.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ 	(revision )
@@ -1,28 +1,0 @@
-import "./NoAccess.css"
-import {Link, NavLink} from "react-router-dom";
-import {AuthActions} from "../../redux/actions/authActions";
-import {useDispatch} from "react-redux";
-
-
-export const NoAccess = (props) => {
-
-    const dispatch = useDispatch();
-    const signOut = () => {
-        dispatch(AuthActions.signOut());
-        window.location = "/";
-    }
-
-    return (
-        <div className="d-flex align-items-center justify-content-center vh-100 landing-page">
-            <div className="text-center">
-                <p className="fs-3 fw-bold text-uppercase">Thank you for registering!</p>
-                <p className="lead">
-                    Your application has been received and is pending review. We will contact you soon for further authentication. <br/> Please check your email for updates.
-                </p>
-                {props.user && <button onClick={signOut} className="go-back-btn">Log out</button>}
-
-
-            </div>
-        </div>
-    )
-}
